How do we know its ok to update wordpress core updates?

How do we know its ok to update wordpress, Due to plugin comparability of wpmu dev plugins?
Will wpmu dev says it ok?
will there be a warning somewhere?

Reason I asked I updated 9 or so months ago and it killed the install I could not recover I had to shut the site down. I don't want that to happen this time.